Bug 241278 - kill yum should kill yum
kill yum should kill yum
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 15:15 EDT by Need Real Name
Modified: 2014-01-21 17:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 16:39:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make yum listen to signals (1.84 KB, patch)
2007-07-20 07:27 EDT, Panu Matilainen
no flags Details | Diff

  None (edit)
Description Need Real Name 2007-05-24 15:15:01 EDT
I know this has been discussed lots before, but the discussions before centered
on interactive yum use.

[root@box ~]# yum install rdesktop
Loading "presto" plugin
Loading "installonlyn" plugin
Loading "fastestmirror" plugin
Loading "protectbase" plugin
Setting up Presto
Reading Presto metadata in from local files
Loading mirror speeds from cached hostfile
Existing lock /var/run/yum.pid: another copy is running as pid 2763. Aborting.
[root@box ~]# kill 2763
[root@box ~]# yum install rdesktop
Loading "presto" plugin
Loading "installonlyn" plugin
Loading "fastestmirror" plugin
Loading "protectbase" plugin
Setting up Presto
Reading Presto metadata in from local files
Loading mirror speeds from cached hostfile
Existing lock /var/run/yum.pid: another copy is running as pid 2763. Aborting.

Sending a kill command to a program should make the program quit.
Comment 1 Seth Vidal 2007-06-20 11:37:14 EDT
not if the program (or in this case a library the program is using) has grabbed
the sigterm signal handler and refuses to obey it. You have to kill -9 it b/c of
the grab by rpm of the signal handler.

to be fair - in certain situations this is desired behavior. During the
transaction, for example, I think it would be wise to make the user REALLY want
to stop the yum process by using a kill -9 b/c during various portions of the
transaction stopping the process can leave you with an unstable or completely
broken system.
Comment 2 Panu Matilainen 2007-07-20 07:27:08 EDT
Created attachment 159642 [details]
Make yum listen to signals

Attached patch, together with rpm-4.4.2.1-0.5.rc3 (in next rawhide push) makes
yum check for signals caught by rpm during downloads if the rpm version
supports it. There might be other places where the checking is needed but this
takes care of the worst part.
Comment 3 Seth Vidal 2007-07-24 16:39:10 EDT
applied the patch to cvs. Should be out in next release

Note You need to log in before you can comment on or make changes to this bug.